Subject: DocComment of Form.ValidationResultsViewHelper is incorrect
Description

The current DocBlock says:

 * <f:form.validationResults>
 *   <f:if condition="{validationResults.flattenedErrors}">
 *     <ul class="errors">
 *       <f:for each="{errors}" as="error">
 *         <li>{error.code}: {error}</li>
 *       </f:for>
 *     </ul>
 *   </f:if>
 * </f:form.validationResults>

(see the comment at the getFlattenedErrors() function:
 Get a list of all Error objects recursively. The result is an array,
      where the key is the property path where the error occured, and the
      value is a list of all errors (stored as array))

so due to that error result nesting, it should read:

<f:form.validationResults>
    <f:if condition="{validationResults.flattenedErrors}">
        <dl class="errors">
            <f:for each="{validationResults.flattenedErrors}" as="errors" key="propertyPath">
                <dt>{propertyPath}</dt>
                <dd><dl>
                    <f:for each="{errors}" as="error">
                        <dt>{error.code}</dt>
                        <dd>{error}</dd>
                    </f:for>
                </dl></dd>
            </f:for>
        </dl>
    </f:if>
</f:form.validationResults>

(disregard the fact that I use dl's here, although I like them more when it comes to nestings)
Revision f1876447 - 2012-04-20 11:56 - Karsten Dambekalns

[BUGFIX] Fixes doc comment of Form.ValidationResultsViewHelper

The example in the class doc comment was outdated and is fixed with
this change.

Change-Id: I786d6a6e1005e5e47093617a66918afa048d5d47
Fixes: #31380
Releases: 1.0, 1.1

Revision a481d4ad - 2012-04-25 13:00 - Karsten Dambekalns

[BUGFIX] Fixes doc comment of Form.ValidationResultsViewHelper

The example in the class doc comment was outdated and is fixed with
this change.

Change-Id: I0cd155e153f20752ed1c80dff8e73cb3e3792063
Fixes: #31380
Releases: 1.0, 1.1

History
#1 - 2012-03-07 22:01 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.1

#2 - 2012-03-07 22:03 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9478

#3 - 2012-04-20 11:56 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9478

#4 - 2012-04-20 14:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f18764473d62d0b39b10b19cf98f680b07ee133d.

#5 - 2012-04-25 12:59 - Karsten Dambekalns
- Target version changed from 1.1 to 1.0.5

#6 - 2012-04-25 13:00 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/10752

#7 - 2012-05-30 21:56 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- Affected Flow version changed from Git master to Git 1.0

2015-08-03 3/3

http://review.typo3.org/10752

